Subject: Re: [RFC PATCH v3 net-next 02/10] net: mdio: mscc-miim: convert to a regmap implementation

From: Colin Foster <[email-masked]>
Date: Fri, 20 Aug 2021 09:53:18 -0700

On Sat, Aug 14, 2021 at 02:03:28PM +0300, Vladimir Oltean wrote:
> On Fri, Aug 13, 2021 at 07:49:55PM -0700, Colin Foster wrote:
> > Utilize regmap instead of __iomem to perform indirect mdio access. This
> > will allow for custom regmaps to be used by way of the mscc_miim_setup
> > function.
> > 
> > Signed-off-by: Colin Foster <[email-masked]>
> > ---
> 
> git b4 [email-masked]
> Looking up https://lore.kernel.org/r/20210814025003.2449143-1-colin.foster%40in-advantage.com
> Grabbing thread from lore.kernel.org/linux-devicetree/20210814025003.2449143-1-colin.foster%40in-advantage.com/t.mbox.gz
> Analyzing 11 messages in the thread
> Checking attestation on all messages, may take a moment...
> ---
>   ✓ [PATCH RFC v3 1/10] net: dsa: ocelot: remove unnecessary pci_bar variables
>   ✓ [PATCH RFC v3 2/10] net: mdio: mscc-miim: convert to a regmap implementation
>   ✓ [PATCH RFC v3 3/10] net: dsa: ocelot: felix: switch to mdio-mscc-miim driver for indirect mdio access
>   ✓ [PATCH RFC v3 4/10] net: dsa: ocelot: felix: Remove requirement for PCS in felix devices
>   ✓ [PATCH RFC v3 5/10] net: dsa: ocelot: felix: add interface for custom regmaps
>   ✓ [PATCH RFC v3 6/10] net: mscc: ocelot: split register definitions to a separate file
>   ✓ [PATCH RFC v3 7/10] net: mscc: ocelot: expose ocelot wm functions
>   ✓ [PATCH RFC v3 8/10] net: mscc: ocelot: felix: add ability to enable a CPU / NPI port
>   ✓ [PATCH RFC v3 9/10] net: dsa: ocelot: felix: add support for VSC75XX control over SPI
>   ✓ [PATCH RFC v3 10/10] docs: devicetree: add documentation for the VSC7512 SPI device
>   ---
>   ✓ Signed: DKIM/inadvantage.onmicrosoft.com (From: [email-masked])
> ---
> Total patches: 10
> ---
>  Link: https://lore.kernel.org/r/[email-masked]
>  Base: not found
> Applying: net: dsa: ocelot: remove unnecessary pci_bar variables
> Applying: net: mdio: mscc-miim: convert to a regmap implementation
> Using index info to reconstruct a base tree...
> M       drivers/net/mdio/mdio-mscc-miim.c
> Falling back to patching base and 3-way merge...
> Auto-merging drivers/net/mdio/mdio-mscc-miim.c
> CONFLICT (content): Merge conflict in drivers/net/mdio/mdio-mscc-miim.c
> error: Failed to merge in the changes.
> Patch failed at 0002 net: mdio: mscc-miim: convert to a regmap implementation
> hint: Use 'git am --show-current-patch' to see the failed patch
> When you have resolved this problem, run "git am --continue".
> If you prefer to skip this patch, run "git am --skip" instead.
> To restore the original branch and stop patching, run "git am --abort".

I see what happened here. I had my branch on the latest 5.13 tag of
net-next and it conflicts with the master. Makes sense.

I should have rebased onto V5.14-rc5 (the latest at the time) before 
submitting. A mistake I'll hopefully only make this once.